"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConflictException = exports.TargetSelection = exports.JobEndBehavior = exports.RetryableFailureType = exports.InvalidAggregationException = exports.IndexNotReadyException = exports.FleetMetricUnit = exports.InvalidQueryException = exports.ServiceType = exports.CertificateValidationException = exports.DimensionType = exports.CustomMetricType = exports.ResourceAlreadyExistsException = exports.InternalException = exports.ConflictingResourceUpdateException = exports.InvalidStateTransitionException = exports.AutoRegistrationStatus = exports.AuthorizerStatus = exports.AuthDecision = exports.AuditTaskType = exports.AuditTaskStatus = exports.AuditNotificationType = exports.AuditMitigationActionsTaskStatus = exports.AuditMitigationActionsExecutionStatus = exports.AuditFrequency = exports.AuditFindingSeverity = exports.ResourceType = exports.AuditCheckRunStatus = exports.VersionConflictException = exports.LimitExceededException = exports.AlertTargetType = exports.AggregationTypeName = exports.VerificationState = exports.DimensionValueOperator = exports.ConfidenceLevel = exports.ComparisonOperator = exports.ActionType = exports.MessageFormat = exports.CannedAccessControlList = exports.AssetPropertyVariant = exports.DynamoKeyType = exports.UnauthorizedException = exports.TransferAlreadyCompletedException = exports.ThrottlingException = exports.ServiceUnavailableException = exports.ResourceNotFoundException = exports.InvalidRequestException = exports.InternalFailureException = exports.JobExecutionFailureType = exports.AbortAction = void 0;
exports.CreateProvisioningClaimResponseFilterSensitiveLog = exports.CreatePackageVersionResponseFilterSensitiveLog = exports.CreatePackageVersionRequestFilterSensitiveLog = exports.CreatePackageResponseFilterSensitiveLog = exports.CreatePackageRequestFilterSensitiveLog = exports.CreateKeysAndCertificateResponseFilterSensitiveLog = exports.KeyPairFilterSensitiveLog = exports.CertificateStateException = exports.DeleteConflictException = exports.TopicRuleDestinationStatus = exports.SqlParseException = exports.DayOfWeek = exports.TemplateType = exports.VersionsLimitExceededException = exports.MalformedPolicyException = exports.PackageVersionStatus = exports.ValidationException = exports.ServiceQuotaExceededException = exports.InternalServerException = exports.OTAUpdateStatus = exports.Protocol = exports.AwsJobAbortCriteriaFailureType = exports.AwsJobAbortCriteriaAbortAction = exports.DeviceCertificateUpdateAction = exports.CACertificateUpdateAction = exports.PolicyTemplateName = exports.LogLevel = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const IoTServiceException_1 = require("./IoTServiceException");
exports.AbortAction = {
    CANCEL: "CANCEL",
};
exports.JobExecutionFailureType = {
    ALL: "ALL",
    FAILED: "FAILED",
    REJECTED: "REJECTED",
    TIMED_OUT: "TIMED_OUT",
};
class InternalFailureException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InternalFailureException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalFailureException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalFailureException.prototype);
    }
}
exports.InternalFailureException = InternalFailureException;
class InvalidRequestException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InvalidRequestException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidRequestException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidRequestException.prototype);
    }
}
exports.InvalidRequestException = InvalidRequestException;
class ResourceNotFoundException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ResourceNotFoundException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceNotFoundException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceNotFoundException.prototype);
    }
}
exports.ResourceNotFoundException = ResourceNotFoundException;
class ServiceUnavailableException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ServiceUnavailableException",
            $fault: "server",
            ...opts,
        });
        this.name = "ServiceUnavailableException";
        this.$fault = "server";
        Object.setPrototypeOf(this, ServiceUnavailableException.prototype);
    }
}
exports.ServiceUnavailableException = ServiceUnavailableException;
class ThrottlingException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ThrottlingException",
            $fault: "client",
            ...opts,
        });
        this.name = "ThrottlingException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ThrottlingException.prototype);
    }
}
exports.ThrottlingException = ThrottlingException;
class TransferAlreadyCompletedException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "TransferAlreadyCompletedException",
            $fault: "client",
            ...opts,
        });
        this.name = "TransferAlreadyCompletedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, TransferAlreadyCompletedException.prototype);
    }
}
exports.TransferAlreadyCompletedException = TransferAlreadyCompletedException;
class UnauthorizedException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "UnauthorizedException",
            $fault: "client",
            ...opts,
        });
        this.name = "UnauthorizedException";
        this.$fault = "client";
        Object.setPrototypeOf(this, UnauthorizedException.prototype);
    }
}
exports.UnauthorizedException = UnauthorizedException;
exports.DynamoKeyType = {
    NUMBER: "NUMBER",
    STRING: "STRING",
};
var AssetPropertyVariant;
(function (AssetPropertyVariant) {
    AssetPropertyVariant.visit = (value, visitor) => {
        if (value.stringValue !== undefined)
            return visitor.stringValue(value.stringValue);
        if (value.integerValue !== undefined)
            return visitor.integerValue(value.integerValue);
        if (value.doubleValue !== undefined)
            return visitor.doubleValue(value.doubleValue);
        if (value.booleanValue !== undefined)
            return visitor.booleanValue(value.booleanValue);
        return visitor._(value.$unknown[0], value.$unknown[1]);
    };
})(AssetPropertyVariant = exports.AssetPropertyVariant || (exports.AssetPropertyVariant = {}));
exports.CannedAccessControlList = {
    AuthenticatedRead: "authenticated-read",
    AwsExecRead: "aws-exec-read",
    BucketOwnerFullControl: "bucket-owner-full-control",
    BucketOwnerRead: "bucket-owner-read",
    LogDeliveryWrite: "log-delivery-write",
    Private: "private",
    PublicRead: "public-read",
    PublicReadWrite: "public-read-write",
};
exports.MessageFormat = {
    JSON: "JSON",
    RAW: "RAW",
};
exports.ActionType = {
    CONNECT: "CONNECT",
    PUBLISH: "PUBLISH",
    RECEIVE: "RECEIVE",
    SUBSCRIBE: "SUBSCRIBE",
};
exports.ComparisonOperator = {
    GREATER_THAN: "greater-than",
    GREATER_THAN_EQUALS: "greater-than-equals",
    IN_CIDR_SET: "in-cidr-set",
    IN_PORT_SET: "in-port-set",
    IN_SET: "in-set",
    LESS_THAN: "less-than",
    LESS_THAN_EQUALS: "less-than-equals",
    NOT_IN_CIDR_SET: "not-in-cidr-set",
    NOT_IN_PORT_SET: "not-in-port-set",
    NOT_IN_SET: "not-in-set",
};
exports.ConfidenceLevel = {
    HIGH: "HIGH",
    LOW: "LOW",
    MEDIUM: "MEDIUM",
};
exports.DimensionValueOperator = {
    IN: "IN",
    NOT_IN: "NOT_IN",
};
exports.VerificationState = {
    BENIGN_POSITIVE: "BENIGN_POSITIVE",
    FALSE_POSITIVE: "FALSE_POSITIVE",
    TRUE_POSITIVE: "TRUE_POSITIVE",
    UNKNOWN: "UNKNOWN",
};
exports.AggregationTypeName = {
    CARDINALITY: "Cardinality",
    PERCENTILES: "Percentiles",
    STATISTICS: "Statistics",
};
exports.AlertTargetType = {
    SNS: "SNS",
};
class LimitExceededException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "LimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "LimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, LimitExceededException.prototype);
    }
}
exports.LimitExceededException = LimitExceededException;
class VersionConflictException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "VersionConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "VersionConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, VersionConflictException.prototype);
    }
}
exports.VersionConflictException = VersionConflictException;
exports.AuditCheckRunStatus = {
    CANCELED: "CANCELED",
    COMPLETED_COMPLIANT: "COMPLETED_COMPLIANT",
    COMPLETED_NON_COMPLIANT: "COMPLETED_NON_COMPLIANT",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    WAITING_FOR_DATA_COLLECTION: "WAITING_FOR_DATA_COLLECTION",
};
exports.ResourceType = {
    ACCOUNT_SETTINGS: "ACCOUNT_SETTINGS",
    CA_CERTIFICATE: "CA_CERTIFICATE",
    CLIENT_ID: "CLIENT_ID",
    COGNITO_IDENTITY_POOL: "COGNITO_IDENTITY_POOL",
    DEVICE_CERTIFICATE: "DEVICE_CERTIFICATE",
    IAM_ROLE: "IAM_ROLE",
    IOT_POLICY: "IOT_POLICY",
    ISSUER_CERTIFICATE: "ISSUER_CERTIFICATE",
    ROLE_ALIAS: "ROLE_ALIAS",
};
exports.AuditFindingSeverity = {
    CRITICAL: "CRITICAL",
    HIGH: "HIGH",
    LOW: "LOW",
    MEDIUM: "MEDIUM",
};
exports.AuditFrequency = {
    BIWEEKLY: "BIWEEKLY",
    DAILY: "DAILY",
    MONTHLY: "MONTHLY",
    WEEKLY: "WEEKLY",
};
exports.AuditMitigationActionsExecutionStatus = {
    CANCELED: "CANCELED",
    COMPLETED: "COMPLETED",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    PENDING: "PENDING",
    SKIPPED: "SKIPPED",
};
exports.AuditMitigationActionsTaskStatus = {
    CANCELED: "CANCELED",
    COMPLETED: "COMPLETED",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
};
exports.AuditNotificationType = {
    SNS: "SNS",
};
exports.AuditTaskStatus = {
    CANCELED: "CANCELED",
    COMPLETED: "COMPLETED",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
};
exports.AuditTaskType = {
    ON_DEMAND_AUDIT_TASK: "ON_DEMAND_AUDIT_TASK",
    SCHEDULED_AUDIT_TASK: "SCHEDULED_AUDIT_TASK",
};
exports.AuthDecision = {
    ALLOWED: "ALLOWED",
    EXPLICIT_DENY: "EXPLICIT_DENY",
    IMPLICIT_DENY: "IMPLICIT_DENY",
};
exports.AuthorizerStatus = {
    ACTIVE: "ACTIVE",
    INACTIVE: "INACTIVE",
};
exports.AutoRegistrationStatus = {
    DISABLE: "DISABLE",
    ENABLE: "ENABLE",
};
class InvalidStateTransitionException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InvalidStateTransitionException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidStateTransitionException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidStateTransitionException.prototype);
    }
}
exports.InvalidStateTransitionException = InvalidStateTransitionException;
class ConflictingResourceUpdateException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ConflictingResourceUpdateException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictingResourceUpdateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictingResourceUpdateException.prototype);
    }
}
exports.ConflictingResourceUpdateException = ConflictingResourceUpdateException;
class InternalException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InternalException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalException.prototype);
    }
}
exports.InternalException = InternalException;
class ResourceAlreadyExistsException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ResourceAlreadyExistsException",
            $fault: "client",
            ...opts,
        });
        this.name = "ResourceAlreadyExistsException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ResourceAlreadyExistsException.prototype);
        this.resourceId = opts.resourceId;
        this.resourceArn = opts.resourceArn;
    }
}
exports.ResourceAlreadyExistsException = ResourceAlreadyExistsException;
exports.CustomMetricType = {
    IP_ADDRESS_LIST: "ip-address-list",
    NUMBER: "number",
    NUMBER_LIST: "number-list",
    STRING_LIST: "string-list",
};
exports.DimensionType = {
    TOPIC_FILTER: "TOPIC_FILTER",
};
class CertificateValidationException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "CertificateValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "CertificateValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CertificateValidationException.prototype);
    }
}
exports.CertificateValidationException = CertificateValidationException;
exports.ServiceType = {
    CREDENTIAL_PROVIDER: "CREDENTIAL_PROVIDER",
    DATA: "DATA",
    JOBS: "JOBS",
};
class InvalidQueryException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InvalidQueryException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidQueryException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidQueryException.prototype);
    }
}
exports.InvalidQueryException = InvalidQueryException;
exports.FleetMetricUnit = {
    Bits: "Bits",
    BitsSecond: "Bits/Second",
    Bytes: "Bytes",
    BytesSecond: "Bytes/Second",
    Count: "Count",
    CountSecond: "Count/Second",
    Gigabits: "Gigabits",
    GigabitsSecond: "Gigabits/Second",
    Gigabytes: "Gigabytes",
    GigabytesSecond: "Gigabytes/Second",
    Kilobits: "Kilobits",
    KilobitsSecond: "Kilobits/Second",
    Kilobytes: "Kilobytes",
    KilobytesSecond: "Kilobytes/Second",
    Megabits: "Megabits",
    MegabitsSecond: "Megabits/Second",
    Megabytes: "Megabytes",
    MegabytesSecond: "Megabytes/Second",
    Microseconds: "Microseconds",
    Milliseconds: "Milliseconds",
    None: "None",
    Percent: "Percent",
    Seconds: "Seconds",
    Terabits: "Terabits",
    TerabitsSecond: "Terabits/Second",
    Terabytes: "Terabytes",
    TerabytesSecond: "Terabytes/Second",
};
class IndexNotReadyException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "IndexNotReadyException",
            $fault: "client",
            ...opts,
        });
        this.name = "IndexNotReadyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, IndexNotReadyException.prototype);
    }
}
exports.IndexNotReadyException = IndexNotReadyException;
class InvalidAggregationException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InvalidAggregationException",
            $fault: "client",
            ...opts,
        });
        this.name = "InvalidAggregationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, InvalidAggregationException.prototype);
    }
}
exports.InvalidAggregationException = InvalidAggregationException;
exports.RetryableFailureType = {
    ALL: "ALL",
    FAILED: "FAILED",
    TIMED_OUT: "TIMED_OUT",
};
exports.JobEndBehavior = {
    CANCEL: "CANCEL",
    FORCE_CANCEL: "FORCE_CANCEL",
    STOP_ROLLOUT: "STOP_ROLLOUT",
};
exports.TargetSelection = {
    CONTINUOUS: "CONTINUOUS",
    SNAPSHOT: "SNAPSHOT",
};
class ConflictException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "ConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ConflictException.prototype);
        this.resourceId = opts.resourceId;
    }
}
exports.ConflictException = ConflictException;
exports.LogLevel = {
    DEBUG: "DEBUG",
    DISABLED: "DISABLED",
    ERROR: "ERROR",
    INFO: "INFO",
    WARN: "WARN",
};
exports.PolicyTemplateName = {
    BLANK_POLICY: "BLANK_POLICY",
};
exports.CACertificateUpdateAction = {
    DEACTIVATE: "DEACTIVATE",
};
exports.DeviceCertificateUpdateAction = {
    DEACTIVATE: "DEACTIVATE",
};
exports.AwsJobAbortCriteriaAbortAction = {
    CANCEL: "CANCEL",
};
exports.AwsJobAbortCriteriaFailureType = {
    ALL: "ALL",
    FAILED: "FAILED",
    REJECTED: "REJECTED",
    TIMED_OUT: "TIMED_OUT",
};
exports.Protocol = {
    HTTP: "HTTP",
    MQTT: "MQTT",
};
exports.OTAUpdateStatus = {
    CREATE_COMPLETE: "CREATE_COMPLETE",
    CREATE_FAILED: "CREATE_FAILED",
    CREATE_IN_PROGRESS: "CREATE_IN_PROGRESS",
    CREATE_PENDING: "CREATE_PENDING",
    DELETE_FAILED: "DELETE_FAILED",
    DELETE_IN_PROGRESS: "DELETE_IN_PROGRESS",
};
class InternalServerException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "InternalServerException",
            $fault: "server",
            ...opts,
        });
        this.name = "InternalServerException";
        this.$fault = "server";
        Object.setPrototypeOf(this, InternalServerException.prototype);
    }
}
exports.InternalServerException = InternalServerException;
class ServiceQuotaExceededException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ServiceQuotaExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "ServiceQuotaExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ServiceQuotaExceededException.prototype);
    }
}
exports.ServiceQuotaExceededException = ServiceQuotaExceededException;
class ValidationException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "ValidationException",
            $fault: "client",
            ...opts,
        });
        this.name = "ValidationException";
        this.$fault = "client";
        Object.setPrototypeOf(this, ValidationException.prototype);
    }
}
exports.ValidationException = ValidationException;
exports.PackageVersionStatus = {
    DEPRECATED: "DEPRECATED",
    DRAFT: "DRAFT",
    PUBLISHED: "PUBLISHED",
};
class MalformedPolicyException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "MalformedPolicyException",
            $fault: "client",
            ...opts,
        });
        this.name = "MalformedPolicyException";
        this.$fault = "client";
        Object.setPrototypeOf(this, MalformedPolicyException.prototype);
    }
}
exports.MalformedPolicyException = MalformedPolicyException;
class VersionsLimitExceededException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "VersionsLimitExceededException",
            $fault: "client",
            ...opts,
        });
        this.name = "VersionsLimitExceededException";
        this.$fault = "client";
        Object.setPrototypeOf(this, VersionsLimitExceededException.prototype);
    }
}
exports.VersionsLimitExceededException = VersionsLimitExceededException;
exports.TemplateType = {
    FLEET_PROVISIONING: "FLEET_PROVISIONING",
    JITP: "JITP",
};
exports.DayOfWeek = {
    FRI: "FRI",
    MON: "MON",
    SAT: "SAT",
    SUN: "SUN",
    THU: "THU",
    TUE: "TUE",
    WED: "WED",
};
class SqlParseException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "SqlParseException",
            $fault: "client",
            ...opts,
        });
        this.name = "SqlParseException";
        this.$fault = "client";
        Object.setPrototypeOf(this, SqlParseException.prototype);
    }
}
exports.SqlParseException = SqlParseException;
exports.TopicRuleDestinationStatus = {
    DELETING: "DELETING",
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
    ERROR: "ERROR",
    IN_PROGRESS: "IN_PROGRESS",
};
class DeleteConflictException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "DeleteConflictException",
            $fault: "client",
            ...opts,
        });
        this.name = "DeleteConflictException";
        this.$fault = "client";
        Object.setPrototypeOf(this, DeleteConflictException.prototype);
    }
}
exports.DeleteConflictException = DeleteConflictException;
class CertificateStateException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "CertificateStateException",
            $fault: "client",
            ...opts,
        });
        this.name = "CertificateStateException";
        this.$fault = "client";
        Object.setPrototypeOf(this, CertificateStateException.prototype);
    }
}
exports.CertificateStateException = CertificateStateException;
const KeyPairFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.PrivateKey && { PrivateKey: smithy_client_1.SENSITIVE_STRING }),
});
exports.KeyPairFilterSensitiveLog = KeyPairFilterSensitiveLog;
const CreateKeysAndCertificateResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.keyPair && { keyPair: (0, exports.KeyPairFilterSensitiveLog)(obj.keyPair) }),
});
exports.CreateKeysAndCertificateResponseFilterSensitiveLog = CreateKeysAndCertificateResponseFilterSensitiveLog;
const CreatePackageRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
});
exports.CreatePackageRequestFilterSensitiveLog = CreatePackageRequestFilterSensitiveLog;
const CreatePackageResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
});
exports.CreatePackageResponseFilterSensitiveLog = CreatePackageResponseFilterSensitiveLog;
const CreatePackageVersionRequestFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.attributes && { attributes: smithy_client_1.SENSITIVE_STRING }),
});
exports.CreatePackageVersionRequestFilterSensitiveLog = CreatePackageVersionRequestFilterSensitiveLog;
const CreatePackageVersionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.attributes && { attributes: smithy_client_1.SENSITIVE_STRING }),
});
exports.CreatePackageVersionResponseFilterSensitiveLog = CreatePackageVersionResponseFilterSensitiveLog;
const CreateProvisioningClaimResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.keyPair && { keyPair: (0, exports.KeyPairFilterSensitiveLog)(obj.keyPair) }),
});
exports.CreateProvisioningClaimResponseFilterSensitiveLog = CreateProvisioningClaimResponseFilterSensitiveLog;
