"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetPackageVersionResponseFilterSensitiveLog = exports.GetPackageResponseFilterSensitiveLog = exports.DetectMitigationActionExecutionStatus = exports.BehaviorCriteriaType = exports.NotConfiguredException = exports.ThingIndexingMode = exports.ThingConnectivityIndexingMode = exports.NamedShadowIndexingMode = exports.TargetFieldOrder = exports.DeviceDefenderIndexingMode = exports.ThingGroupIndexingMode = exports.FieldType = exports.ModelStatus = exports.Status = exports.DynamicGroupStatus = exports.MitigationActionType = exports.JobExecutionStatus = exports.JobStatus = exports.IndexStatus = exports.EventType = exports.ServerCertificateStatus = exports.DomainType = exports.DomainConfigurationStatus = exports.DetectMitigationActionsTaskStatus = exports.CertificateStatus = exports.CACertificateStatus = exports.CertificateMode = exports.LogTargetType = void 0;
const smithy_client_1 = require("@smithy/smithy-client");
const IoTServiceException_1 = require("./IoTServiceException");
exports.LogTargetType = {
    CLIENT_ID: "CLIENT_ID",
    DEFAULT: "DEFAULT",
    DEVICE_DEFENDER: "DEVICE_DEFENDER",
    EVENT_TYPE: "EVENT_TYPE",
    PRINCIPAL_ID: "PRINCIPAL_ID",
    SOURCE_IP: "SOURCE_IP",
    THING_GROUP: "THING_GROUP",
};
exports.CertificateMode = {
    DEFAULT: "DEFAULT",
    SNI_ONLY: "SNI_ONLY",
};
exports.CACertificateStatus = {
    ACTIVE: "ACTIVE",
    INACTIVE: "INACTIVE",
};
exports.CertificateStatus = {
    ACTIVE: "ACTIVE",
    INACTIVE: "INACTIVE",
    PENDING_ACTIVATION: "PENDING_ACTIVATION",
    PENDING_TRANSFER: "PENDING_TRANSFER",
    REGISTER_INACTIVE: "REGISTER_INACTIVE",
    REVOKED: "REVOKED",
};
exports.DetectMitigationActionsTaskStatus = {
    CANCELED: "CANCELED",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    SUCCESSFUL: "SUCCESSFUL",
};
exports.DomainConfigurationStatus = {
    DISABLED: "DISABLED",
    ENABLED: "ENABLED",
};
exports.DomainType = {
    AWS_MANAGED: "AWS_MANAGED",
    CUSTOMER_MANAGED: "CUSTOMER_MANAGED",
    ENDPOINT: "ENDPOINT",
};
exports.ServerCertificateStatus = {
    INVALID: "INVALID",
    VALID: "VALID",
};
exports.EventType = {
    CA_CERTIFICATE: "CA_CERTIFICATE",
    CERTIFICATE: "CERTIFICATE",
    JOB: "JOB",
    JOB_EXECUTION: "JOB_EXECUTION",
    POLICY: "POLICY",
    THING: "THING",
    THING_GROUP: "THING_GROUP",
    THING_GROUP_HIERARCHY: "THING_GROUP_HIERARCHY",
    THING_GROUP_MEMBERSHIP: "THING_GROUP_MEMBERSHIP",
    THING_TYPE: "THING_TYPE",
    THING_TYPE_ASSOCIATION: "THING_TYPE_ASSOCIATION",
};
exports.IndexStatus = {
    ACTIVE: "ACTIVE",
    BUILDING: "BUILDING",
    REBUILDING: "REBUILDING",
};
exports.JobStatus = {
    CANCELED: "CANCELED",
    COMPLETED: "COMPLETED",
    DELETION_IN_PROGRESS: "DELETION_IN_PROGRESS",
    IN_PROGRESS: "IN_PROGRESS",
    SCHEDULED: "SCHEDULED",
};
exports.JobExecutionStatus = {
    CANCELED: "CANCELED",
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    QUEUED: "QUEUED",
    REJECTED: "REJECTED",
    REMOVED: "REMOVED",
    SUCCEEDED: "SUCCEEDED",
    TIMED_OUT: "TIMED_OUT",
};
exports.MitigationActionType = {
    ADD_THINGS_TO_THING_GROUP: "ADD_THINGS_TO_THING_GROUP",
    ENABLE_IOT_LOGGING: "ENABLE_IOT_LOGGING",
    PUBLISH_FINDING_TO_SNS: "PUBLISH_FINDING_TO_SNS",
    REPLACE_DEFAULT_POLICY_VERSION: "REPLACE_DEFAULT_POLICY_VERSION",
    UPDATE_CA_CERTIFICATE: "UPDATE_CA_CERTIFICATE",
    UPDATE_DEVICE_CERTIFICATE: "UPDATE_DEVICE_CERTIFICATE",
};
exports.DynamicGroupStatus = {
    ACTIVE: "ACTIVE",
    BUILDING: "BUILDING",
    REBUILDING: "REBUILDING",
};
exports.Status = {
    Cancelled: "Cancelled",
    Cancelling: "Cancelling",
    Completed: "Completed",
    Failed: "Failed",
    InProgress: "InProgress",
};
exports.ModelStatus = {
    ACTIVE: "ACTIVE",
    EXPIRED: "EXPIRED",
    PENDING_BUILD: "PENDING_BUILD",
};
exports.FieldType = {
    BOOLEAN: "Boolean",
    NUMBER: "Number",
    STRING: "String",
};
exports.ThingGroupIndexingMode = {
    OFF: "OFF",
    ON: "ON",
};
exports.DeviceDefenderIndexingMode = {
    OFF: "OFF",
    VIOLATIONS: "VIOLATIONS",
};
exports.TargetFieldOrder = {
    LatLon: "LatLon",
    LonLat: "LonLat",
};
exports.NamedShadowIndexingMode = {
    OFF: "OFF",
    ON: "ON",
};
exports.ThingConnectivityIndexingMode = {
    OFF: "OFF",
    STATUS: "STATUS",
};
exports.ThingIndexingMode = {
    OFF: "OFF",
    REGISTRY: "REGISTRY",
    REGISTRY_AND_SHADOW: "REGISTRY_AND_SHADOW",
};
class NotConfiguredException extends IoTServiceException_1.IoTServiceException {
    constructor(opts) {
        super({
            name: "NotConfiguredException",
            $fault: "client",
            ...opts,
        });
        this.name = "NotConfiguredException";
        this.$fault = "client";
        Object.setPrototypeOf(this, NotConfiguredException.prototype);
    }
}
exports.NotConfiguredException = NotConfiguredException;
exports.BehaviorCriteriaType = {
    MACHINE_LEARNING: "MACHINE_LEARNING",
    STATIC: "STATIC",
    STATISTICAL: "STATISTICAL",
};
exports.DetectMitigationActionExecutionStatus = {
    FAILED: "FAILED",
    IN_PROGRESS: "IN_PROGRESS",
    SKIPPED: "SKIPPED",
    SUCCESSFUL: "SUCCESSFUL",
};
const GetPackageResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
});
exports.GetPackageResponseFilterSensitiveLog = GetPackageResponseFilterSensitiveLog;
const GetPackageVersionResponseFilterSensitiveLog = (obj) => ({
    ...obj,
    ...(obj.description && { description: smithy_client_1.SENSITIVE_STRING }),
    ...(obj.attributes && { attributes: smithy_client_1.SENSITIVE_STRING }),
});
exports.GetPackageVersionResponseFilterSensitiveLog = GetPackageVersionResponseFilterSensitiveLog;
