"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListCustomMetrics = void 0;
const ListCustomMetricsCommand_1 = require("../commands/ListCustomMetricsCommand");
const IoTClient_1 = require("../IoTClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListCustomMetricsCommand_1.ListCustomMetricsCommand(input), ...args);
};
async function* paginateListCustomMetrics(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.nextToken = token;
        input["maxResults"] = config.pageSize;
        if (config.client instanceof IoTClient_1.IoTClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected IoT | IoTClient");
        }
        yield page;
        const prevToken = token;
        token = page.nextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListCustomMetrics = paginateListCustomMetrics;
