"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paginateListThings = void 0;
const ListThingsCommand_1 = require("../commands/ListThingsCommand");
const IoTClient_1 = require("../IoTClient");
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListThingsCommand_1.ListThingsCommand(input), ...args);
};
async function* paginateListThings(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.nextToken = token;
        input["maxResults"] = config.pageSize;
        if (config.client instanceof IoTClient_1.IoTClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected IoT | IoTClient");
        }
        yield page;
        const prevToken = token;
        token = page.nextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
exports.paginateListThings = paginateListThings;
