import { ListAuditMitigationActionsExecutionsCommand, } from "../commands/ListAuditMitigationActionsExecutionsCommand";
import { IoTClient } from "../IoTClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListAuditMitigationActionsExecutionsCommand(input), ...args);
};
export async function* paginateListAuditMitigationActionsExecutions(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.nextToken = token;
        input["maxResults"] = config.pageSize;
        if (config.client instanceof IoTClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected IoT | IoTClient");
        }
        yield page;
        const prevToken = token;
        token = page.nextToken;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
