import { ListOutgoingCertificatesCommand, } from "../commands/ListOutgoingCertificatesCommand";
import { IoTClient } from "../IoTClient";
const makePagedClientRequest = async (client, input, ...args) => {
    return await client.send(new ListOutgoingCertificatesCommand(input), ...args);
};
export async function* paginateListOutgoingCertificates(config, input, ...additionalArguments) {
    let token = config.startingToken || undefined;
    let hasNext = true;
    let page;
    while (hasNext) {
        input.marker = token;
        input["pageSize"] = config.pageSize;
        if (config.client instanceof IoTClient) {
            page = await makePagedClientRequest(config.client, input, ...additionalArguments);
        }
        else {
            throw new Error("Invalid client, expected IoT | IoTClient");
        }
        yield page;
        const prevToken = token;
        token = page.nextMarker;
        hasNext = !!(token && (!config.stopOnSameToken || token !== prevToken));
    }
    return undefined;
}
