import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { AcceptCertificateTransferRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AcceptCertificateTransferCommandInput
  extends AcceptCertificateTransferRequest {}
export interface AcceptCertificateTransferCommandOutput
  extends __MetadataBearer {}
export declare class AcceptCertificateTransferCommand extends $Command<
  AcceptCertificateTransferCommandInput,
  AcceptCertificateTransferCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AcceptCertificateTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AcceptCertificateTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AcceptCertificateTransferCommandInput,
    AcceptCertificateTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
