import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  AddThingToBillingGroupRequest,
  AddThingToBillingGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AddThingToBillingGroupCommandInput
  extends AddThingToBillingGroupRequest {}
export interface AddThingToBillingGroupCommandOutput
  extends AddThingToBillingGroupResponse,
    __MetadataBearer {}
export declare class AddThingToBillingGroupCommand extends $Command<
  AddThingToBillingGroupCommandInput,
  AddThingToBillingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AddThingToBillingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AddThingToBillingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AddThingToBillingGroupCommandInput,
    AddThingToBillingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
