import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  AddThingToThingGroupRequest,
  AddThingToThingGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AddThingToThingGroupCommandInput
  extends AddThingToThingGroupRequest {}
export interface AddThingToThingGroupCommandOutput
  extends AddThingToThingGroupResponse,
    __MetadataBearer {}
export declare class AddThingToThingGroupCommand extends $Command<
  AddThingToThingGroupCommandInput,
  AddThingToThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AddThingToThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AddThingToThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AddThingToThingGroupCommandInput,
    AddThingToThingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
