import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  AssociateTargetsWithJobRequest,
  AssociateTargetsWithJobResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AssociateTargetsWithJobCommandInput
  extends AssociateTargetsWithJobRequest {}
export interface AssociateTargetsWithJobCommandOutput
  extends AssociateTargetsWithJobResponse,
    __MetadataBearer {}
export declare class AssociateTargetsWithJobCommand extends $Command<
  AssociateTargetsWithJobCommandInput,
  AssociateTargetsWithJobCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AssociateTargetsWithJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AssociateTargetsWithJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AssociateTargetsWithJobCommandInput,
    AssociateTargetsWithJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
