import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { AttachPrincipalPolicyRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AttachPrincipalPolicyCommandInput
  extends AttachPrincipalPolicyRequest {}
export interface AttachPrincipalPolicyCommandOutput extends __MetadataBearer {}
export declare class AttachPrincipalPolicyCommand extends $Command<
  AttachPrincipalPolicyCommandInput,
  AttachPrincipalPolicyCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AttachPrincipalPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachPrincipalPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachPrincipalPolicyCommandInput,
    AttachPrincipalPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
