import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  AttachSecurityProfileRequest,
  AttachSecurityProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AttachSecurityProfileCommandInput
  extends AttachSecurityProfileRequest {}
export interface AttachSecurityProfileCommandOutput
  extends AttachSecurityProfileResponse,
    __MetadataBearer {}
export declare class AttachSecurityProfileCommand extends $Command<
  AttachSecurityProfileCommandInput,
  AttachSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AttachSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachSecurityProfileCommandInput,
    AttachSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
