import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  AttachThingPrincipalRequest,
  AttachThingPrincipalResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface AttachThingPrincipalCommandInput
  extends AttachThingPrincipalRequest {}
export interface AttachThingPrincipalCommandOutput
  extends AttachThingPrincipalResponse,
    __MetadataBearer {}
export declare class AttachThingPrincipalCommand extends $Command<
  AttachThingPrincipalCommandInput,
  AttachThingPrincipalCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: AttachThingPrincipalCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: AttachThingPrincipalCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    AttachThingPrincipalCommandInput,
    AttachThingPrincipalCommandOutput
  >;
  private serialize;
  private deserialize;
}
