import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { CancelCertificateTransferRequest } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CancelCertificateTransferCommandInput
  extends CancelCertificateTransferRequest {}
export interface CancelCertificateTransferCommandOutput
  extends __MetadataBearer {}
export declare class CancelCertificateTransferCommand extends $Command<
  CancelCertificateTransferCommandInput,
  CancelCertificateTransferCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CancelCertificateTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CancelCertificateTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CancelCertificateTransferCommandInput,
    CancelCertificateTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
