import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { CancelJobRequest, CancelJobResponse } from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CancelJobCommandInput extends CancelJobRequest {}
export interface CancelJobCommandOutput
  extends CancelJobResponse,
    __MetadataBearer {}
export declare class CancelJobCommand extends $Command<
  CancelJobCommandInput,
  CancelJobCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CancelJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CancelJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CancelJobCommandInput, CancelJobCommandOutput>;
  private serialize;
  private deserialize;
}
