import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ClearDefaultAuthorizerRequest,
  ClearDefaultAuthorizerResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface ClearDefaultAuthorizerCommandInput
  extends ClearDefaultAuthorizerRequest {}
export interface ClearDefaultAuthorizerCommandOutput
  extends ClearDefaultAuthorizerResponse,
    __MetadataBearer {}
export declare class ClearDefaultAuthorizerCommand extends $Command<
  ClearDefaultAuthorizerCommandInput,
  ClearDefaultAuthorizerCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ClearDefaultAuthorizerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ClearDefaultAuthorizerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ClearDefaultAuthorizerCommandInput,
    ClearDefaultAuthorizerCommandOutput
  >;
  private serialize;
  private deserialize;
}
