import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateAuditSuppressionRequest,
  CreateAuditSuppressionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateAuditSuppressionCommandInput
  extends CreateAuditSuppressionRequest {}
export interface CreateAuditSuppressionCommandOutput
  extends CreateAuditSuppressionResponse,
    __MetadataBearer {}
export declare class CreateAuditSuppressionCommand extends $Command<
  CreateAuditSuppressionCommandInput,
  CreateAuditSuppressionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateAuditSuppressionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateAuditSuppressionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateAuditSuppressionCommandInput,
    CreateAuditSuppressionCommandOutput
  >;
  private serialize;
  private deserialize;
}
