import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateBillingGroupRequest,
  CreateBillingGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateBillingGroupCommandInput
  extends CreateBillingGroupRequest {}
export interface CreateBillingGroupCommandOutput
  extends CreateBillingGroupResponse,
    __MetadataBearer {}
export declare class CreateBillingGroupCommand extends $Command<
  CreateBillingGroupCommandInput,
  CreateBillingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateBillingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateBillingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateBillingGroupCommandInput, CreateBillingGroupCommandOutput>;
  private serialize;
  private deserialize;
}
