import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateCertificateFromCsrRequest,
  CreateCertificateFromCsrResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateCertificateFromCsrCommandInput
  extends CreateCertificateFromCsrRequest {}
export interface CreateCertificateFromCsrCommandOutput
  extends CreateCertificateFromCsrResponse,
    __MetadataBearer {}
export declare class CreateCertificateFromCsrCommand extends $Command<
  CreateCertificateFromCsrCommandInput,
  CreateCertificateFromCsrCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateCertificateFromCsrCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateCertificateFromCsrCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateCertificateFromCsrCommandInput,
    CreateCertificateFromCsrCommandOutput
  >;
  private serialize;
  private deserialize;
}
