import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateDomainConfigurationRequest,
  CreateDomainConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateDomainConfigurationCommandInput
  extends CreateDomainConfigurationRequest {}
export interface CreateDomainConfigurationCommandOutput
  extends CreateDomainConfigurationResponse,
    __MetadataBearer {}
export declare class CreateDomainConfigurationCommand extends $Command<
  CreateDomainConfigurationCommandInput,
  CreateDomainConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateDomainConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateDomainConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateDomainConfigurationCommandInput,
    CreateDomainConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
