import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateDynamicThingGroupRequest,
  CreateDynamicThingGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateDynamicThingGroupCommandInput
  extends CreateDynamicThingGroupRequest {}
export interface CreateDynamicThingGroupCommandOutput
  extends CreateDynamicThingGroupResponse,
    __MetadataBearer {}
export declare class CreateDynamicThingGroupCommand extends $Command<
  CreateDynamicThingGroupCommandInput,
  CreateDynamicThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateDynamicThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateDynamicThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateDynamicThingGroupCommandInput,
    CreateDynamicThingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
