import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateJobTemplateRequest,
  CreateJobTemplateResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateJobTemplateCommandInput
  extends CreateJobTemplateRequest {}
export interface CreateJobTemplateCommandOutput
  extends CreateJobTemplateResponse,
    __MetadataBearer {}
export declare class CreateJobTemplateCommand extends $Command<
  CreateJobTemplateCommandInput,
  CreateJobTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateJobTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateJobTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateJobTemplateCommandInput, CreateJobTemplateCommandOutput>;
  private serialize;
  private deserialize;
}
