import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateMitigationActionRequest,
  CreateMitigationActionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateMitigationActionCommandInput
  extends CreateMitigationActionRequest {}
export interface CreateMitigationActionCommandOutput
  extends CreateMitigationActionResponse,
    __MetadataBearer {}
export declare class CreateMitigationActionCommand extends $Command<
  CreateMitigationActionCommandInput,
  CreateMitigationActionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateMitigationActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateMitigationActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateMitigationActionCommandInput,
    CreateMitigationActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
