import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreatePackageVersionRequest,
  CreatePackageVersionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreatePackageVersionCommandInput
  extends CreatePackageVersionRequest {}
export interface CreatePackageVersionCommandOutput
  extends CreatePackageVersionResponse,
    __MetadataBearer {}
export declare class CreatePackageVersionCommand extends $Command<
  CreatePackageVersionCommandInput,
  CreatePackageVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreatePackageVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreatePackageVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreatePackageVersionCommandInput,
    CreatePackageVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
