import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateProvisioningTemplateRequest,
  CreateProvisioningTemplateResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateProvisioningTemplateCommandInput
  extends CreateProvisioningTemplateRequest {}
export interface CreateProvisioningTemplateCommandOutput
  extends CreateProvisioningTemplateResponse,
    __MetadataBearer {}
export declare class CreateProvisioningTemplateCommand extends $Command<
  CreateProvisioningTemplateCommandInput,
  CreateProvisioningTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateProvisioningTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateProvisioningTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateProvisioningTemplateCommandInput,
    CreateProvisioningTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
