import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateProvisioningTemplateVersionRequest,
  CreateProvisioningTemplateVersionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateProvisioningTemplateVersionCommandInput
  extends CreateProvisioningTemplateVersionRequest {}
export interface CreateProvisioningTemplateVersionCommandOutput
  extends CreateProvisioningTemplateVersionResponse,
    __MetadataBearer {}
export declare class CreateProvisioningTemplateVersionCommand extends $Command<
  CreateProvisioningTemplateVersionCommandInput,
  CreateProvisioningTemplateVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateProvisioningTemplateVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateProvisioningTemplateVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateProvisioningTemplateVersionCommandInput,
    CreateProvisioningTemplateVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
