import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateScheduledAuditRequest,
  CreateScheduledAuditResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateScheduledAuditCommandInput
  extends CreateScheduledAuditRequest {}
export interface CreateScheduledAuditCommandOutput
  extends CreateScheduledAuditResponse,
    __MetadataBearer {}
export declare class CreateScheduledAuditCommand extends $Command<
  CreateScheduledAuditCommandInput,
  CreateScheduledAuditCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateScheduledAuditCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateScheduledAuditCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateScheduledAuditCommandInput,
    CreateScheduledAuditCommandOutput
  >;
  private serialize;
  private deserialize;
}
