import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateSecurityProfileRequest,
  CreateSecurityProfileResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateSecurityProfileCommandInput
  extends CreateSecurityProfileRequest {}
export interface CreateSecurityProfileCommandOutput
  extends CreateSecurityProfileResponse,
    __MetadataBearer {}
export declare class CreateSecurityProfileCommand extends $Command<
  CreateSecurityProfileCommandInput,
  CreateSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateSecurityProfileCommandInput,
    CreateSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
