import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateThingGroupRequest,
  CreateThingGroupResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateThingGroupCommandInput extends CreateThingGroupRequest {}
export interface CreateThingGroupCommandOutput
  extends CreateThingGroupResponse,
    __MetadataBearer {}
export declare class CreateThingGroupCommand extends $Command<
  CreateThingGroupCommandInput,
  CreateThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateThingGroupCommandInput, CreateThingGroupCommandOutput>;
  private serialize;
  private deserialize;
}
