import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateThingTypeRequest,
  CreateThingTypeResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateThingTypeCommandInput extends CreateThingTypeRequest {}
export interface CreateThingTypeCommandOutput
  extends CreateThingTypeResponse,
    __MetadataBearer {}
export declare class CreateThingTypeCommand extends $Command<
  CreateThingTypeCommandInput,
  CreateThingTypeCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateThingTypeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateThingTypeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<CreateThingTypeCommandInput, CreateThingTypeCommandOutput>;
  private serialize;
  private deserialize;
}
