import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  CreateTopicRuleDestinationRequest,
  CreateTopicRuleDestinationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface CreateTopicRuleDestinationCommandInput
  extends CreateTopicRuleDestinationRequest {}
export interface CreateTopicRuleDestinationCommandOutput
  extends CreateTopicRuleDestinationResponse,
    __MetadataBearer {}
export declare class CreateTopicRuleDestinationCommand extends $Command<
  CreateTopicRuleDestinationCommandInput,
  CreateTopicRuleDestinationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: CreateTopicRuleDestinationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: CreateTopicRuleDestinationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    CreateTopicRuleDestinationCommandInput,
    CreateTopicRuleDestinationCommandOutput
  >;
  private serialize;
  private deserialize;
}
