import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteAuditSuppressionRequest,
  DeleteAuditSuppressionResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAuditSuppressionCommandInput
  extends DeleteAuditSuppressionRequest {}
export interface DeleteAuditSuppressionCommandOutput
  extends DeleteAuditSuppressionResponse,
    __MetadataBearer {}
export declare class DeleteAuditSuppressionCommand extends $Command<
  DeleteAuditSuppressionCommandInput,
  DeleteAuditSuppressionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteAuditSuppressionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAuditSuppressionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteAuditSuppressionCommandInput,
    DeleteAuditSuppressionCommandOutput
  >;
  private serialize;
  private deserialize;
}
