import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteAuthorizerRequest,
  DeleteAuthorizerResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteAuthorizerCommandInput extends DeleteAuthorizerRequest {}
export interface DeleteAuthorizerCommandOutput
  extends DeleteAuthorizerResponse,
    __MetadataBearer {}
export declare class DeleteAuthorizerCommand extends $Command<
  DeleteAuthorizerCommandInput,
  DeleteAuthorizerCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteAuthorizerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteAuthorizerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteAuthorizerCommandInput, DeleteAuthorizerCommandOutput>;
  private serialize;
  private deserialize;
}
