import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteDomainConfigurationRequest,
  DeleteDomainConfigurationResponse,
} from "../models/models_0";
export { __MetadataBearer, $Command };
export interface DeleteDomainConfigurationCommandInput
  extends DeleteDomainConfigurationRequest {}
export interface DeleteDomainConfigurationCommandOutput
  extends DeleteDomainConfigurationResponse,
    __MetadataBearer {}
export declare class DeleteDomainConfigurationCommand extends $Command<
  DeleteDomainConfigurationCommandInput,
  DeleteDomainConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteDomainConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteDomainConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteDomainConfigurationCommandInput,
    DeleteDomainConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
