import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteDynamicThingGroupRequest,
  DeleteDynamicThingGroupResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteDynamicThingGroupCommandInput
  extends DeleteDynamicThingGroupRequest {}
export interface DeleteDynamicThingGroupCommandOutput
  extends DeleteDynamicThingGroupResponse,
    __MetadataBearer {}
export declare class DeleteDynamicThingGroupCommand extends $Command<
  DeleteDynamicThingGroupCommandInput,
  DeleteDynamicThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteDynamicThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteDynamicThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteDynamicThingGroupCommandInput,
    DeleteDynamicThingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
