import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteMitigationActionRequest,
  DeleteMitigationActionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteMitigationActionCommandInput
  extends DeleteMitigationActionRequest {}
export interface DeleteMitigationActionCommandOutput
  extends DeleteMitigationActionResponse,
    __MetadataBearer {}
export declare class DeleteMitigationActionCommand extends $Command<
  DeleteMitigationActionCommandInput,
  DeleteMitigationActionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteMitigationActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteMitigationActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteMitigationActionCommandInput,
    DeleteMitigationActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
