import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteProvisioningTemplateRequest,
  DeleteProvisioningTemplateResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteProvisioningTemplateCommandInput
  extends DeleteProvisioningTemplateRequest {}
export interface DeleteProvisioningTemplateCommandOutput
  extends DeleteProvisioningTemplateResponse,
    __MetadataBearer {}
export declare class DeleteProvisioningTemplateCommand extends $Command<
  DeleteProvisioningTemplateCommandInput,
  DeleteProvisioningTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteProvisioningTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteProvisioningTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteProvisioningTemplateCommandInput,
    DeleteProvisioningTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
