import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteProvisioningTemplateVersionRequest,
  DeleteProvisioningTemplateVersionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteProvisioningTemplateVersionCommandInput
  extends DeleteProvisioningTemplateVersionRequest {}
export interface DeleteProvisioningTemplateVersionCommandOutput
  extends DeleteProvisioningTemplateVersionResponse,
    __MetadataBearer {}
export declare class DeleteProvisioningTemplateVersionCommand extends $Command<
  DeleteProvisioningTemplateVersionCommandInput,
  DeleteProvisioningTemplateVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteProvisioningTemplateVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteProvisioningTemplateVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteProvisioningTemplateVersionCommandInput,
    DeleteProvisioningTemplateVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
