import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteRegistrationCodeRequest,
  DeleteRegistrationCodeResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteRegistrationCodeCommandInput
  extends DeleteRegistrationCodeRequest {}
export interface DeleteRegistrationCodeCommandOutput
  extends DeleteRegistrationCodeResponse,
    __MetadataBearer {}
export declare class DeleteRegistrationCodeCommand extends $Command<
  DeleteRegistrationCodeCommandInput,
  DeleteRegistrationCodeCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteRegistrationCodeCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteRegistrationCodeCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteRegistrationCodeCommandInput,
    DeleteRegistrationCodeCommandOutput
  >;
  private serialize;
  private deserialize;
}
