import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteScheduledAuditRequest,
  DeleteScheduledAuditResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteScheduledAuditCommandInput
  extends DeleteScheduledAuditRequest {}
export interface DeleteScheduledAuditCommandOutput
  extends DeleteScheduledAuditResponse,
    __MetadataBearer {}
export declare class DeleteScheduledAuditCommand extends $Command<
  DeleteScheduledAuditCommandInput,
  DeleteScheduledAuditCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteScheduledAuditCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteScheduledAuditCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteScheduledAuditCommandInput,
    DeleteScheduledAuditCommandOutput
  >;
  private serialize;
  private deserialize;
}
