import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteSecurityProfileRequest,
  DeleteSecurityProfileResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteSecurityProfileCommandInput
  extends DeleteSecurityProfileRequest {}
export interface DeleteSecurityProfileCommandOutput
  extends DeleteSecurityProfileResponse,
    __MetadataBearer {}
export declare class DeleteSecurityProfileCommand extends $Command<
  DeleteSecurityProfileCommandInput,
  DeleteSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteSecurityProfileCommandInput,
    DeleteSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
