import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { DeleteTopicRuleRequest } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteTopicRuleCommandInput extends DeleteTopicRuleRequest {}
export interface DeleteTopicRuleCommandOutput extends __MetadataBearer {}
export declare class DeleteTopicRuleCommand extends $Command<
  DeleteTopicRuleCommandInput,
  DeleteTopicRuleCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteTopicRuleCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTopicRuleCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DeleteTopicRuleCommandInput, DeleteTopicRuleCommandOutput>;
  private serialize;
  private deserialize;
}
