import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DeleteTopicRuleDestinationRequest,
  DeleteTopicRuleDestinationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteTopicRuleDestinationCommandInput
  extends DeleteTopicRuleDestinationRequest {}
export interface DeleteTopicRuleDestinationCommandOutput
  extends DeleteTopicRuleDestinationResponse,
    __MetadataBearer {}
export declare class DeleteTopicRuleDestinationCommand extends $Command<
  DeleteTopicRuleDestinationCommandInput,
  DeleteTopicRuleDestinationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteTopicRuleDestinationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteTopicRuleDestinationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteTopicRuleDestinationCommandInput,
    DeleteTopicRuleDestinationCommandOutput
  >;
  private serialize;
  private deserialize;
}
