import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { DeleteV2LoggingLevelRequest } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DeleteV2LoggingLevelCommandInput
  extends DeleteV2LoggingLevelRequest {}
export interface DeleteV2LoggingLevelCommandOutput extends __MetadataBearer {}
export declare class DeleteV2LoggingLevelCommand extends $Command<
  DeleteV2LoggingLevelCommandInput,
  DeleteV2LoggingLevelCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DeleteV2LoggingLevelCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DeleteV2LoggingLevelCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DeleteV2LoggingLevelCommandInput,
    DeleteV2LoggingLevelCommandOutput
  >;
  private serialize;
  private deserialize;
}
