import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeAuditFindingRequest,
  DescribeAuditFindingResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeAuditFindingCommandInput
  extends DescribeAuditFindingRequest {}
export interface DescribeAuditFindingCommandOutput
  extends DescribeAuditFindingResponse,
    __MetadataBearer {}
export declare class DescribeAuditFindingCommand extends $Command<
  DescribeAuditFindingCommandInput,
  DescribeAuditFindingCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeAuditFindingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAuditFindingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAuditFindingCommandInput,
    DescribeAuditFindingCommandOutput
  >;
  private serialize;
  private deserialize;
}
