import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeAuditSuppressionRequest,
  DescribeAuditSuppressionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeAuditSuppressionCommandInput
  extends DescribeAuditSuppressionRequest {}
export interface DescribeAuditSuppressionCommandOutput
  extends DescribeAuditSuppressionResponse,
    __MetadataBearer {}
export declare class DescribeAuditSuppressionCommand extends $Command<
  DescribeAuditSuppressionCommandInput,
  DescribeAuditSuppressionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeAuditSuppressionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAuditSuppressionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeAuditSuppressionCommandInput,
    DescribeAuditSuppressionCommandOutput
  >;
  private serialize;
  private deserialize;
}
