import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeAuthorizerRequest,
  DescribeAuthorizerResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeAuthorizerCommandInput
  extends DescribeAuthorizerRequest {}
export interface DescribeAuthorizerCommandOutput
  extends DescribeAuthorizerResponse,
    __MetadataBearer {}
export declare class DescribeAuthorizerCommand extends $Command<
  DescribeAuthorizerCommandInput,
  DescribeAuthorizerCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeAuthorizerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeAuthorizerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeAuthorizerCommandInput, DescribeAuthorizerCommandOutput>;
  private serialize;
  private deserialize;
}
