import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeBillingGroupRequest,
  DescribeBillingGroupResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeBillingGroupCommandInput
  extends DescribeBillingGroupRequest {}
export interface DescribeBillingGroupCommandOutput
  extends DescribeBillingGroupResponse,
    __MetadataBearer {}
export declare class DescribeBillingGroupCommand extends $Command<
  DescribeBillingGroupCommandInput,
  DescribeBillingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeBillingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeBillingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeBillingGroupCommandInput,
    DescribeBillingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
