import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeCACertificateRequest,
  DescribeCACertificateResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeCACertificateCommandInput
  extends DescribeCACertificateRequest {}
export interface DescribeCACertificateCommandOutput
  extends DescribeCACertificateResponse,
    __MetadataBearer {}
export declare class DescribeCACertificateCommand extends $Command<
  DescribeCACertificateCommandInput,
  DescribeCACertificateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeCACertificateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCACertificateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCACertificateCommandInput,
    DescribeCACertificateCommandOutput
  >;
  private serialize;
  private deserialize;
}
