import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeCustomMetricRequest,
  DescribeCustomMetricResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeCustomMetricCommandInput
  extends DescribeCustomMetricRequest {}
export interface DescribeCustomMetricCommandOutput
  extends DescribeCustomMetricResponse,
    __MetadataBearer {}
export declare class DescribeCustomMetricCommand extends $Command<
  DescribeCustomMetricCommandInput,
  DescribeCustomMetricCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeCustomMetricCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeCustomMetricCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeCustomMetricCommandInput,
    DescribeCustomMetricCommandOutput
  >;
  private serialize;
  private deserialize;
}
