import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeDefaultAuthorizerRequest,
  DescribeDefaultAuthorizerResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeDefaultAuthorizerCommandInput
  extends DescribeDefaultAuthorizerRequest {}
export interface DescribeDefaultAuthorizerCommandOutput
  extends DescribeDefaultAuthorizerResponse,
    __MetadataBearer {}
export declare class DescribeDefaultAuthorizerCommand extends $Command<
  DescribeDefaultAuthorizerCommandInput,
  DescribeDefaultAuthorizerCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeDefaultAuthorizerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDefaultAuthorizerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDefaultAuthorizerCommandInput,
    DescribeDefaultAuthorizerCommandOutput
  >;
  private serialize;
  private deserialize;
}
