import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeDetectMitigationActionsTaskRequest,
  DescribeDetectMitigationActionsTaskResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeDetectMitigationActionsTaskCommandInput
  extends DescribeDetectMitigationActionsTaskRequest {}
export interface DescribeDetectMitigationActionsTaskCommandOutput
  extends DescribeDetectMitigationActionsTaskResponse,
    __MetadataBearer {}
export declare class DescribeDetectMitigationActionsTaskCommand extends $Command<
  DescribeDetectMitigationActionsTaskCommandInput,
  DescribeDetectMitigationActionsTaskCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeDetectMitigationActionsTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDetectMitigationActionsTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDetectMitigationActionsTaskCommandInput,
    DescribeDetectMitigationActionsTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
