import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeDimensionRequest,
  DescribeDimensionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeDimensionCommandInput
  extends DescribeDimensionRequest {}
export interface DescribeDimensionCommandOutput
  extends DescribeDimensionResponse,
    __MetadataBearer {}
export declare class DescribeDimensionCommand extends $Command<
  DescribeDimensionCommandInput,
  DescribeDimensionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeDimensionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDimensionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeDimensionCommandInput, DescribeDimensionCommandOutput>;
  private serialize;
  private deserialize;
}
