import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeDomainConfigurationRequest,
  DescribeDomainConfigurationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeDomainConfigurationCommandInput
  extends DescribeDomainConfigurationRequest {}
export interface DescribeDomainConfigurationCommandOutput
  extends DescribeDomainConfigurationResponse,
    __MetadataBearer {}
export declare class DescribeDomainConfigurationCommand extends $Command<
  DescribeDomainConfigurationCommandInput,
  DescribeDomainConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeDomainConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeDomainConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeDomainConfigurationCommandInput,
    DescribeDomainConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
