import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeFleetMetricRequest,
  DescribeFleetMetricResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeFleetMetricCommandInput
  extends DescribeFleetMetricRequest {}
export interface DescribeFleetMetricCommandOutput
  extends DescribeFleetMetricResponse,
    __MetadataBearer {}
export declare class DescribeFleetMetricCommand extends $Command<
  DescribeFleetMetricCommandInput,
  DescribeFleetMetricCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeFleetMetricCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeFleetMetricCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeFleetMetricCommandInput, DescribeFleetMetricCommandOutput>;
  private serialize;
  private deserialize;
}
