import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeJobExecutionRequest,
  DescribeJobExecutionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeJobExecutionCommandInput
  extends DescribeJobExecutionRequest {}
export interface DescribeJobExecutionCommandOutput
  extends DescribeJobExecutionResponse,
    __MetadataBearer {}
export declare class DescribeJobExecutionCommand extends $Command<
  DescribeJobExecutionCommandInput,
  DescribeJobExecutionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeJobExecutionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeJobExecutionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeJobExecutionCommandInput,
    DescribeJobExecutionCommandOutput
  >;
  private serialize;
  private deserialize;
}
