import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeJobTemplateRequest,
  DescribeJobTemplateResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeJobTemplateCommandInput
  extends DescribeJobTemplateRequest {}
export interface DescribeJobTemplateCommandOutput
  extends DescribeJobTemplateResponse,
    __MetadataBearer {}
export declare class DescribeJobTemplateCommand extends $Command<
  DescribeJobTemplateCommandInput,
  DescribeJobTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeJobTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeJobTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeJobTemplateCommandInput, DescribeJobTemplateCommandOutput>;
  private serialize;
  private deserialize;
}
