import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeManagedJobTemplateRequest,
  DescribeManagedJobTemplateResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeManagedJobTemplateCommandInput
  extends DescribeManagedJobTemplateRequest {}
export interface DescribeManagedJobTemplateCommandOutput
  extends DescribeManagedJobTemplateResponse,
    __MetadataBearer {}
export declare class DescribeManagedJobTemplateCommand extends $Command<
  DescribeManagedJobTemplateCommandInput,
  DescribeManagedJobTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeManagedJobTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeManagedJobTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeManagedJobTemplateCommandInput,
    DescribeManagedJobTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
