import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeMitigationActionRequest,
  DescribeMitigationActionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeMitigationActionCommandInput
  extends DescribeMitigationActionRequest {}
export interface DescribeMitigationActionCommandOutput
  extends DescribeMitigationActionResponse,
    __MetadataBearer {}
export declare class DescribeMitigationActionCommand extends $Command<
  DescribeMitigationActionCommandInput,
  DescribeMitigationActionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeMitigationActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeMitigationActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeMitigationActionCommandInput,
    DescribeMitigationActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
