import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeProvisioningTemplateRequest,
  DescribeProvisioningTemplateResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeProvisioningTemplateCommandInput
  extends DescribeProvisioningTemplateRequest {}
export interface DescribeProvisioningTemplateCommandOutput
  extends DescribeProvisioningTemplateResponse,
    __MetadataBearer {}
export declare class DescribeProvisioningTemplateCommand extends $Command<
  DescribeProvisioningTemplateCommandInput,
  DescribeProvisioningTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeProvisioningTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeProvisioningTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeProvisioningTemplateCommandInput,
    DescribeProvisioningTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
