import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeProvisioningTemplateVersionRequest,
  DescribeProvisioningTemplateVersionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeProvisioningTemplateVersionCommandInput
  extends DescribeProvisioningTemplateVersionRequest {}
export interface DescribeProvisioningTemplateVersionCommandOutput
  extends DescribeProvisioningTemplateVersionResponse,
    __MetadataBearer {}
export declare class DescribeProvisioningTemplateVersionCommand extends $Command<
  DescribeProvisioningTemplateVersionCommandInput,
  DescribeProvisioningTemplateVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeProvisioningTemplateVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeProvisioningTemplateVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeProvisioningTemplateVersionCommandInput,
    DescribeProvisioningTemplateVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
