import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeRoleAliasRequest,
  DescribeRoleAliasResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeRoleAliasCommandInput
  extends DescribeRoleAliasRequest {}
export interface DescribeRoleAliasCommandOutput
  extends DescribeRoleAliasResponse,
    __MetadataBearer {}
export declare class DescribeRoleAliasCommand extends $Command<
  DescribeRoleAliasCommandInput,
  DescribeRoleAliasCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeRoleAliasCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeRoleAliasCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeRoleAliasCommandInput, DescribeRoleAliasCommandOutput>;
  private serialize;
  private deserialize;
}
