import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeScheduledAuditRequest,
  DescribeScheduledAuditResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeScheduledAuditCommandInput
  extends DescribeScheduledAuditRequest {}
export interface DescribeScheduledAuditCommandOutput
  extends DescribeScheduledAuditResponse,
    __MetadataBearer {}
export declare class DescribeScheduledAuditCommand extends $Command<
  DescribeScheduledAuditCommandInput,
  DescribeScheduledAuditCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeScheduledAuditCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeScheduledAuditCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeScheduledAuditCommandInput,
    DescribeScheduledAuditCommandOutput
  >;
  private serialize;
  private deserialize;
}
