import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeSecurityProfileRequest,
  DescribeSecurityProfileResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeSecurityProfileCommandInput
  extends DescribeSecurityProfileRequest {}
export interface DescribeSecurityProfileCommandOutput
  extends DescribeSecurityProfileResponse,
    __MetadataBearer {}
export declare class DescribeSecurityProfileCommand extends $Command<
  DescribeSecurityProfileCommandInput,
  DescribeSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DescribeSecurityProfileCommandInput,
    DescribeSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
