import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeThingRequest,
  DescribeThingResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeThingCommandInput extends DescribeThingRequest {}
export interface DescribeThingCommandOutput
  extends DescribeThingResponse,
    __MetadataBearer {}
export declare class DescribeThingCommand extends $Command<
  DescribeThingCommandInput,
  DescribeThingCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeThingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeThingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeThingCommandInput, DescribeThingCommandOutput>;
  private serialize;
  private deserialize;
}
