import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DescribeThingGroupRequest,
  DescribeThingGroupResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DescribeThingGroupCommandInput
  extends DescribeThingGroupRequest {}
export interface DescribeThingGroupCommandOutput
  extends DescribeThingGroupResponse,
    __MetadataBearer {}
export declare class DescribeThingGroupCommand extends $Command<
  DescribeThingGroupCommandInput,
  DescribeThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DescribeThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DescribeThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<DescribeThingGroupCommandInput, DescribeThingGroupCommandOutput>;
  private serialize;
  private deserialize;
}
