import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DetachSecurityProfileRequest,
  DetachSecurityProfileResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DetachSecurityProfileCommandInput
  extends DetachSecurityProfileRequest {}
export interface DetachSecurityProfileCommandOutput
  extends DetachSecurityProfileResponse,
    __MetadataBearer {}
export declare class DetachSecurityProfileCommand extends $Command<
  DetachSecurityProfileCommandInput,
  DetachSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DetachSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachSecurityProfileCommandInput,
    DetachSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
