import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  DetachThingPrincipalRequest,
  DetachThingPrincipalResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface DetachThingPrincipalCommandInput
  extends DetachThingPrincipalRequest {}
export interface DetachThingPrincipalCommandOutput
  extends DetachThingPrincipalResponse,
    __MetadataBearer {}
export declare class DetachThingPrincipalCommand extends $Command<
  DetachThingPrincipalCommandInput,
  DetachThingPrincipalCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: DetachThingPrincipalCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: DetachThingPrincipalCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    DetachThingPrincipalCommandInput,
    DetachThingPrincipalCommandOutput
  >;
  private serialize;
  private deserialize;
}
