import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetEffectivePoliciesRequest,
  GetEffectivePoliciesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetEffectivePoliciesCommandInput
  extends GetEffectivePoliciesRequest {}
export interface GetEffectivePoliciesCommandOutput
  extends GetEffectivePoliciesResponse,
    __MetadataBearer {}
export declare class GetEffectivePoliciesCommand extends $Command<
  GetEffectivePoliciesCommandInput,
  GetEffectivePoliciesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetEffectivePoliciesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetEffectivePoliciesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetEffectivePoliciesCommandInput,
    GetEffectivePoliciesCommandOutput
  >;
  private serialize;
  private deserialize;
}
