import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetIndexingConfigurationRequest,
  GetIndexingConfigurationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetIndexingConfigurationCommandInput
  extends GetIndexingConfigurationRequest {}
export interface GetIndexingConfigurationCommandOutput
  extends GetIndexingConfigurationResponse,
    __MetadataBearer {}
export declare class GetIndexingConfigurationCommand extends $Command<
  GetIndexingConfigurationCommandInput,
  GetIndexingConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetIndexingConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetIndexingConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetIndexingConfigurationCommandInput,
    GetIndexingConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
