import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetLoggingOptionsRequest,
  GetLoggingOptionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetLoggingOptionsCommandInput
  extends GetLoggingOptionsRequest {}
export interface GetLoggingOptionsCommandOutput
  extends GetLoggingOptionsResponse,
    __MetadataBearer {}
export declare class GetLoggingOptionsCommand extends $Command<
  GetLoggingOptionsCommandInput,
  GetLoggingOptionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetLoggingOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetLoggingOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetLoggingOptionsCommandInput, GetLoggingOptionsCommandOutput>;
  private serialize;
  private deserialize;
}
