import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetPackageVersionRequest,
  GetPackageVersionResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetPackageVersionCommandInput
  extends GetPackageVersionRequest {}
export interface GetPackageVersionCommandOutput
  extends GetPackageVersionResponse,
    __MetadataBearer {}
export declare class GetPackageVersionCommand extends $Command<
  GetPackageVersionCommandInput,
  GetPackageVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetPackageVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetPackageVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetPackageVersionCommandInput, GetPackageVersionCommandOutput>;
  private serialize;
  private deserialize;
}
