import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetTopicRuleDestinationRequest,
  GetTopicRuleDestinationResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetTopicRuleDestinationCommandInput
  extends GetTopicRuleDestinationRequest {}
export interface GetTopicRuleDestinationCommandOutput
  extends GetTopicRuleDestinationResponse,
    __MetadataBearer {}
export declare class GetTopicRuleDestinationCommand extends $Command<
  GetTopicRuleDestinationCommandInput,
  GetTopicRuleDestinationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetTopicRuleDestinationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetTopicRuleDestinationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetTopicRuleDestinationCommandInput,
    GetTopicRuleDestinationCommandOutput
  >;
  private serialize;
  private deserialize;
}
