import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  GetV2LoggingOptionsRequest,
  GetV2LoggingOptionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface GetV2LoggingOptionsCommandInput
  extends GetV2LoggingOptionsRequest {}
export interface GetV2LoggingOptionsCommandOutput
  extends GetV2LoggingOptionsResponse,
    __MetadataBearer {}
export declare class GetV2LoggingOptionsCommand extends $Command<
  GetV2LoggingOptionsCommandInput,
  GetV2LoggingOptionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: GetV2LoggingOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetV2LoggingOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<GetV2LoggingOptionsCommandInput, GetV2LoggingOptionsCommandOutput>;
  private serialize;
  private deserialize;
}
