import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListActiveViolationsRequest,
  ListActiveViolationsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListActiveViolationsCommandInput
  extends ListActiveViolationsRequest {}
export interface ListActiveViolationsCommandOutput
  extends ListActiveViolationsResponse,
    __MetadataBearer {}
export declare class ListActiveViolationsCommand extends $Command<
  ListActiveViolationsCommandInput,
  ListActiveViolationsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListActiveViolationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListActiveViolationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListActiveViolationsCommandInput,
    ListActiveViolationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
