import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListAttachedPoliciesRequest,
  ListAttachedPoliciesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListAttachedPoliciesCommandInput
  extends ListAttachedPoliciesRequest {}
export interface ListAttachedPoliciesCommandOutput
  extends ListAttachedPoliciesResponse,
    __MetadataBearer {}
export declare class ListAttachedPoliciesCommand extends $Command<
  ListAttachedPoliciesCommandInput,
  ListAttachedPoliciesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListAttachedPoliciesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAttachedPoliciesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAttachedPoliciesCommandInput,
    ListAttachedPoliciesCommandOutput
  >;
  private serialize;
  private deserialize;
}
