import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListAuditSuppressionsRequest,
  ListAuditSuppressionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListAuditSuppressionsCommandInput
  extends ListAuditSuppressionsRequest {}
export interface ListAuditSuppressionsCommandOutput
  extends ListAuditSuppressionsResponse,
    __MetadataBearer {}
export declare class ListAuditSuppressionsCommand extends $Command<
  ListAuditSuppressionsCommandInput,
  ListAuditSuppressionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListAuditSuppressionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAuditSuppressionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListAuditSuppressionsCommandInput,
    ListAuditSuppressionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
