import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListAuthorizersRequest,
  ListAuthorizersResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListAuthorizersCommandInput extends ListAuthorizersRequest {}
export interface ListAuthorizersCommandOutput
  extends ListAuthorizersResponse,
    __MetadataBearer {}
export declare class ListAuthorizersCommand extends $Command<
  ListAuthorizersCommandInput,
  ListAuthorizersCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListAuthorizersCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListAuthorizersCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListAuthorizersCommandInput, ListAuthorizersCommandOutput>;
  private serialize;
  private deserialize;
}
