import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListBillingGroupsRequest,
  ListBillingGroupsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListBillingGroupsCommandInput
  extends ListBillingGroupsRequest {}
export interface ListBillingGroupsCommandOutput
  extends ListBillingGroupsResponse,
    __MetadataBearer {}
export declare class ListBillingGroupsCommand extends $Command<
  ListBillingGroupsCommandInput,
  ListBillingGroupsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListBillingGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListBillingGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListBillingGroupsCommandInput, ListBillingGroupsCommandOutput>;
  private serialize;
  private deserialize;
}
