import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListDimensionsRequest,
  ListDimensionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListDimensionsCommandInput extends ListDimensionsRequest {}
export interface ListDimensionsCommandOutput
  extends ListDimensionsResponse,
    __MetadataBearer {}
export declare class ListDimensionsCommand extends $Command<
  ListDimensionsCommandInput,
  ListDimensionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListDimensionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListDimensionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListDimensionsCommandInput, ListDimensionsCommandOutput>;
  private serialize;
  private deserialize;
}
