import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListDomainConfigurationsRequest,
  ListDomainConfigurationsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListDomainConfigurationsCommandInput
  extends ListDomainConfigurationsRequest {}
export interface ListDomainConfigurationsCommandOutput
  extends ListDomainConfigurationsResponse,
    __MetadataBearer {}
export declare class ListDomainConfigurationsCommand extends $Command<
  ListDomainConfigurationsCommandInput,
  ListDomainConfigurationsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListDomainConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListDomainConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListDomainConfigurationsCommandInput,
    ListDomainConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
