import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListFleetMetricsRequest,
  ListFleetMetricsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListFleetMetricsCommandInput extends ListFleetMetricsRequest {}
export interface ListFleetMetricsCommandOutput
  extends ListFleetMetricsResponse,
    __MetadataBearer {}
export declare class ListFleetMetricsCommand extends $Command<
  ListFleetMetricsCommandInput,
  ListFleetMetricsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListFleetMetricsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListFleetMetricsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListFleetMetricsCommandInput, ListFleetMetricsCommandOutput>;
  private serialize;
  private deserialize;
}
