import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListJobExecutionsForJobRequest,
  ListJobExecutionsForJobResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListJobExecutionsForJobCommandInput
  extends ListJobExecutionsForJobRequest {}
export interface ListJobExecutionsForJobCommandOutput
  extends ListJobExecutionsForJobResponse,
    __MetadataBearer {}
export declare class ListJobExecutionsForJobCommand extends $Command<
  ListJobExecutionsForJobCommandInput,
  ListJobExecutionsForJobCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListJobExecutionsForJobCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListJobExecutionsForJobCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListJobExecutionsForJobCommandInput,
    ListJobExecutionsForJobCommandOutput
  >;
  private serialize;
  private deserialize;
}
