import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListJobExecutionsForThingRequest,
  ListJobExecutionsForThingResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListJobExecutionsForThingCommandInput
  extends ListJobExecutionsForThingRequest {}
export interface ListJobExecutionsForThingCommandOutput
  extends ListJobExecutionsForThingResponse,
    __MetadataBearer {}
export declare class ListJobExecutionsForThingCommand extends $Command<
  ListJobExecutionsForThingCommandInput,
  ListJobExecutionsForThingCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListJobExecutionsForThingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListJobExecutionsForThingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListJobExecutionsForThingCommandInput,
    ListJobExecutionsForThingCommandOutput
  >;
  private serialize;
  private deserialize;
}
