import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListJobTemplatesRequest,
  ListJobTemplatesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListJobTemplatesCommandInput extends ListJobTemplatesRequest {}
export interface ListJobTemplatesCommandOutput
  extends ListJobTemplatesResponse,
    __MetadataBearer {}
export declare class ListJobTemplatesCommand extends $Command<
  ListJobTemplatesCommandInput,
  ListJobTemplatesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListJobTemplatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListJobTemplatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListJobTemplatesCommandInput, ListJobTemplatesCommandOutput>;
  private serialize;
  private deserialize;
}
