import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { ListJobsRequest, ListJobsResponse } from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListJobsCommandInput extends ListJobsRequest {}
export interface ListJobsCommandOutput
  extends ListJobsResponse,
    __MetadataBearer {}
export declare class ListJobsCommand extends $Command<
  ListJobsCommandInput,
  ListJobsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListJobsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListJobsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListJobsCommandInput, ListJobsCommandOutput>;
  private serialize;
  private deserialize;
}
