import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListManagedJobTemplatesRequest,
  ListManagedJobTemplatesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListManagedJobTemplatesCommandInput
  extends ListManagedJobTemplatesRequest {}
export interface ListManagedJobTemplatesCommandOutput
  extends ListManagedJobTemplatesResponse,
    __MetadataBearer {}
export declare class ListManagedJobTemplatesCommand extends $Command<
  ListManagedJobTemplatesCommandInput,
  ListManagedJobTemplatesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListManagedJobTemplatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListManagedJobTemplatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListManagedJobTemplatesCommandInput,
    ListManagedJobTemplatesCommandOutput
  >;
  private serialize;
  private deserialize;
}
