import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListMetricValuesRequest,
  ListMetricValuesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListMetricValuesCommandInput extends ListMetricValuesRequest {}
export interface ListMetricValuesCommandOutput
  extends ListMetricValuesResponse,
    __MetadataBearer {}
export declare class ListMetricValuesCommand extends $Command<
  ListMetricValuesCommandInput,
  ListMetricValuesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListMetricValuesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListMetricValuesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListMetricValuesCommandInput, ListMetricValuesCommandOutput>;
  private serialize;
  private deserialize;
}
