import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListMitigationActionsRequest,
  ListMitigationActionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListMitigationActionsCommandInput
  extends ListMitigationActionsRequest {}
export interface ListMitigationActionsCommandOutput
  extends ListMitigationActionsResponse,
    __MetadataBearer {}
export declare class ListMitigationActionsCommand extends $Command<
  ListMitigationActionsCommandInput,
  ListMitigationActionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListMitigationActionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListMitigationActionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListMitigationActionsCommandInput,
    ListMitigationActionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
