import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListOutgoingCertificatesRequest,
  ListOutgoingCertificatesResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListOutgoingCertificatesCommandInput
  extends ListOutgoingCertificatesRequest {}
export interface ListOutgoingCertificatesCommandOutput
  extends ListOutgoingCertificatesResponse,
    __MetadataBearer {}
export declare class ListOutgoingCertificatesCommand extends $Command<
  ListOutgoingCertificatesCommandInput,
  ListOutgoingCertificatesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListOutgoingCertificatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListOutgoingCertificatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListOutgoingCertificatesCommandInput,
    ListOutgoingCertificatesCommandOutput
  >;
  private serialize;
  private deserialize;
}
