import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListPackageVersionsRequest,
  ListPackageVersionsResponse,
} from "../models/models_1";
export { __MetadataBearer, $Command };
export interface ListPackageVersionsCommandInput
  extends ListPackageVersionsRequest {}
export interface ListPackageVersionsCommandOutput
  extends ListPackageVersionsResponse,
    __MetadataBearer {}
export declare class ListPackageVersionsCommand extends $Command<
  ListPackageVersionsCommandInput,
  ListPackageVersionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListPackageVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPackageVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListPackageVersionsCommandInput, ListPackageVersionsCommandOutput>;
  private serialize;
  private deserialize;
}
