import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListPolicyVersionsRequest,
  ListPolicyVersionsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListPolicyVersionsCommandInput
  extends ListPolicyVersionsRequest {}
export interface ListPolicyVersionsCommandOutput
  extends ListPolicyVersionsResponse,
    __MetadataBearer {}
export declare class ListPolicyVersionsCommand extends $Command<
  ListPolicyVersionsCommandInput,
  ListPolicyVersionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListPolicyVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPolicyVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListPolicyVersionsCommandInput, ListPolicyVersionsCommandOutput>;
  private serialize;
  private deserialize;
}
