import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListPrincipalPoliciesRequest,
  ListPrincipalPoliciesResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListPrincipalPoliciesCommandInput
  extends ListPrincipalPoliciesRequest {}
export interface ListPrincipalPoliciesCommandOutput
  extends ListPrincipalPoliciesResponse,
    __MetadataBearer {}
export declare class ListPrincipalPoliciesCommand extends $Command<
  ListPrincipalPoliciesCommandInput,
  ListPrincipalPoliciesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListPrincipalPoliciesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListPrincipalPoliciesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListPrincipalPoliciesCommandInput,
    ListPrincipalPoliciesCommandOutput
  >;
  private serialize;
  private deserialize;
}
