import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListProvisioningTemplateVersionsRequest,
  ListProvisioningTemplateVersionsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListProvisioningTemplateVersionsCommandInput
  extends ListProvisioningTemplateVersionsRequest {}
export interface ListProvisioningTemplateVersionsCommandOutput
  extends ListProvisioningTemplateVersionsResponse,
    __MetadataBearer {}
export declare class ListProvisioningTemplateVersionsCommand extends $Command<
  ListProvisioningTemplateVersionsCommandInput,
  ListProvisioningTemplateVersionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListProvisioningTemplateVersionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListProvisioningTemplateVersionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListProvisioningTemplateVersionsCommandInput,
    ListProvisioningTemplateVersionsCommandOutput
  >;
  private serialize;
  private deserialize;
}
