import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListProvisioningTemplatesRequest,
  ListProvisioningTemplatesResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListProvisioningTemplatesCommandInput
  extends ListProvisioningTemplatesRequest {}
export interface ListProvisioningTemplatesCommandOutput
  extends ListProvisioningTemplatesResponse,
    __MetadataBearer {}
export declare class ListProvisioningTemplatesCommand extends $Command<
  ListProvisioningTemplatesCommandInput,
  ListProvisioningTemplatesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListProvisioningTemplatesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListProvisioningTemplatesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListProvisioningTemplatesCommandInput,
    ListProvisioningTemplatesCommandOutput
  >;
  private serialize;
  private deserialize;
}
