import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListSecurityProfilesRequest,
  ListSecurityProfilesResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListSecurityProfilesCommandInput
  extends ListSecurityProfilesRequest {}
export interface ListSecurityProfilesCommandOutput
  extends ListSecurityProfilesResponse,
    __MetadataBearer {}
export declare class ListSecurityProfilesCommand extends $Command<
  ListSecurityProfilesCommandInput,
  ListSecurityProfilesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListSecurityProfilesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListSecurityProfilesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListSecurityProfilesCommandInput,
    ListSecurityProfilesCommandOutput
  >;
  private serialize;
  private deserialize;
}
