import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListTargetsForPolicyRequest,
  ListTargetsForPolicyResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListTargetsForPolicyCommandInput
  extends ListTargetsForPolicyRequest {}
export interface ListTargetsForPolicyCommandOutput
  extends ListTargetsForPolicyResponse,
    __MetadataBearer {}
export declare class ListTargetsForPolicyCommand extends $Command<
  ListTargetsForPolicyCommandInput,
  ListTargetsForPolicyCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListTargetsForPolicyCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTargetsForPolicyCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListTargetsForPolicyCommandInput,
    ListTargetsForPolicyCommandOutput
  >;
  private serialize;
  private deserialize;
}
