import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListTargetsForSecurityProfileRequest,
  ListTargetsForSecurityProfileResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListTargetsForSecurityProfileCommandInput
  extends ListTargetsForSecurityProfileRequest {}
export interface ListTargetsForSecurityProfileCommandOutput
  extends ListTargetsForSecurityProfileResponse,
    __MetadataBearer {}
export declare class ListTargetsForSecurityProfileCommand extends $Command<
  ListTargetsForSecurityProfileCommandInput,
  ListTargetsForSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListTargetsForSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTargetsForSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListTargetsForSecurityProfileCommandInput,
    ListTargetsForSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
