import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingGroupsRequest,
  ListThingGroupsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingGroupsCommandInput extends ListThingGroupsRequest {}
export interface ListThingGroupsCommandOutput
  extends ListThingGroupsResponse,
    __MetadataBearer {}
export declare class ListThingGroupsCommand extends $Command<
  ListThingGroupsCommandInput,
  ListThingGroupsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingGroupsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingGroupsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListThingGroupsCommandInput, ListThingGroupsCommandOutput>;
  private serialize;
  private deserialize;
}
