import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingGroupsForThingRequest,
  ListThingGroupsForThingResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingGroupsForThingCommandInput
  extends ListThingGroupsForThingRequest {}
export interface ListThingGroupsForThingCommandOutput
  extends ListThingGroupsForThingResponse,
    __MetadataBearer {}
export declare class ListThingGroupsForThingCommand extends $Command<
  ListThingGroupsForThingCommandInput,
  ListThingGroupsForThingCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingGroupsForThingCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingGroupsForThingCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListThingGroupsForThingCommandInput,
    ListThingGroupsForThingCommandOutput
  >;
  private serialize;
  private deserialize;
}
