import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingPrincipalsRequest,
  ListThingPrincipalsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingPrincipalsCommandInput
  extends ListThingPrincipalsRequest {}
export interface ListThingPrincipalsCommandOutput
  extends ListThingPrincipalsResponse,
    __MetadataBearer {}
export declare class ListThingPrincipalsCommand extends $Command<
  ListThingPrincipalsCommandInput,
  ListThingPrincipalsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingPrincipalsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingPrincipalsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListThingPrincipalsCommandInput, ListThingPrincipalsCommandOutput>;
  private serialize;
  private deserialize;
}
