import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingRegistrationTasksRequest,
  ListThingRegistrationTasksResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingRegistrationTasksCommandInput
  extends ListThingRegistrationTasksRequest {}
export interface ListThingRegistrationTasksCommandOutput
  extends ListThingRegistrationTasksResponse,
    __MetadataBearer {}
export declare class ListThingRegistrationTasksCommand extends $Command<
  ListThingRegistrationTasksCommandInput,
  ListThingRegistrationTasksCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingRegistrationTasksCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingRegistrationTasksCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListThingRegistrationTasksCommandInput,
    ListThingRegistrationTasksCommandOutput
  >;
  private serialize;
  private deserialize;
}
