import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingsInBillingGroupRequest,
  ListThingsInBillingGroupResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingsInBillingGroupCommandInput
  extends ListThingsInBillingGroupRequest {}
export interface ListThingsInBillingGroupCommandOutput
  extends ListThingsInBillingGroupResponse,
    __MetadataBearer {}
export declare class ListThingsInBillingGroupCommand extends $Command<
  ListThingsInBillingGroupCommandInput,
  ListThingsInBillingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingsInBillingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingsInBillingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListThingsInBillingGroupCommandInput,
    ListThingsInBillingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
