import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListThingsInThingGroupRequest,
  ListThingsInThingGroupResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListThingsInThingGroupCommandInput
  extends ListThingsInThingGroupRequest {}
export interface ListThingsInThingGroupCommandOutput
  extends ListThingsInThingGroupResponse,
    __MetadataBearer {}
export declare class ListThingsInThingGroupCommand extends $Command<
  ListThingsInThingGroupCommandInput,
  ListThingsInThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListThingsInThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListThingsInThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListThingsInThingGroupCommandInput,
    ListThingsInThingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
