import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListTopicRuleDestinationsRequest,
  ListTopicRuleDestinationsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListTopicRuleDestinationsCommandInput
  extends ListTopicRuleDestinationsRequest {}
export interface ListTopicRuleDestinationsCommandOutput
  extends ListTopicRuleDestinationsResponse,
    __MetadataBearer {}
export declare class ListTopicRuleDestinationsCommand extends $Command<
  ListTopicRuleDestinationsCommandInput,
  ListTopicRuleDestinationsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListTopicRuleDestinationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTopicRuleDestinationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ListTopicRuleDestinationsCommandInput,
    ListTopicRuleDestinationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
