import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListTopicRulesRequest,
  ListTopicRulesResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListTopicRulesCommandInput extends ListTopicRulesRequest {}
export interface ListTopicRulesCommandOutput
  extends ListTopicRulesResponse,
    __MetadataBearer {}
export declare class ListTopicRulesCommand extends $Command<
  ListTopicRulesCommandInput,
  ListTopicRulesCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListTopicRulesCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListTopicRulesCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListTopicRulesCommandInput, ListTopicRulesCommandOutput>;
  private serialize;
  private deserialize;
}
