import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ListV2LoggingLevelsRequest,
  ListV2LoggingLevelsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ListV2LoggingLevelsCommandInput
  extends ListV2LoggingLevelsRequest {}
export interface ListV2LoggingLevelsCommandOutput
  extends ListV2LoggingLevelsResponse,
    __MetadataBearer {}
export declare class ListV2LoggingLevelsCommand extends $Command<
  ListV2LoggingLevelsCommandInput,
  ListV2LoggingLevelsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ListV2LoggingLevelsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ListV2LoggingLevelsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<ListV2LoggingLevelsCommandInput, ListV2LoggingLevelsCommandOutput>;
  private serialize;
  private deserialize;
}
