import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  PutVerificationStateOnViolationRequest,
  PutVerificationStateOnViolationResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface PutVerificationStateOnViolationCommandInput
  extends PutVerificationStateOnViolationRequest {}
export interface PutVerificationStateOnViolationCommandOutput
  extends PutVerificationStateOnViolationResponse,
    __MetadataBearer {}
export declare class PutVerificationStateOnViolationCommand extends $Command<
  PutVerificationStateOnViolationCommandInput,
  PutVerificationStateOnViolationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: PutVerificationStateOnViolationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: PutVerificationStateOnViolationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    PutVerificationStateOnViolationCommandInput,
    PutVerificationStateOnViolationCommandOutput
  >;
  private serialize;
  private deserialize;
}
