import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  RegisterCACertificateRequest,
  RegisterCACertificateResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface RegisterCACertificateCommandInput
  extends RegisterCACertificateRequest {}
export interface RegisterCACertificateCommandOutput
  extends RegisterCACertificateResponse,
    __MetadataBearer {}
export declare class RegisterCACertificateCommand extends $Command<
  RegisterCACertificateCommandInput,
  RegisterCACertificateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: RegisterCACertificateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RegisterCACertificateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RegisterCACertificateCommandInput,
    RegisterCACertificateCommandOutput
  >;
  private serialize;
  private deserialize;
}
