import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { RejectCertificateTransferRequest } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface RejectCertificateTransferCommandInput
  extends RejectCertificateTransferRequest {}
export interface RejectCertificateTransferCommandOutput
  extends __MetadataBearer {}
export declare class RejectCertificateTransferCommand extends $Command<
  RejectCertificateTransferCommandInput,
  RejectCertificateTransferCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: RejectCertificateTransferCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: RejectCertificateTransferCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    RejectCertificateTransferCommandInput,
    RejectCertificateTransferCommandOutput
  >;
  private serialize;
  private deserialize;
}
