import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { SearchIndexRequest, SearchIndexResponse } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface SearchIndexCommandInput extends SearchIndexRequest {}
export interface SearchIndexCommandOutput
  extends SearchIndexResponse,
    __MetadataBearer {}
export declare class SearchIndexCommand extends $Command<
  SearchIndexCommandInput,
  SearchIndexCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: SearchIndexCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SearchIndexCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<SearchIndexCommandInput, SearchIndexCommandOutput>;
  private serialize;
  private deserialize;
}
