import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  SetDefaultAuthorizerRequest,
  SetDefaultAuthorizerResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface SetDefaultAuthorizerCommandInput
  extends SetDefaultAuthorizerRequest {}
export interface SetDefaultAuthorizerCommandOutput
  extends SetDefaultAuthorizerResponse,
    __MetadataBearer {}
export declare class SetDefaultAuthorizerCommand extends $Command<
  SetDefaultAuthorizerCommandInput,
  SetDefaultAuthorizerCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: SetDefaultAuthorizerCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetDefaultAuthorizerCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    SetDefaultAuthorizerCommandInput,
    SetDefaultAuthorizerCommandOutput
  >;
  private serialize;
  private deserialize;
}
