import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import { SetV2LoggingOptionsRequest } from "../models/models_2";
export { __MetadataBearer, $Command };
export interface SetV2LoggingOptionsCommandInput
  extends SetV2LoggingOptionsRequest {}
export interface SetV2LoggingOptionsCommandOutput extends __MetadataBearer {}
export declare class SetV2LoggingOptionsCommand extends $Command<
  SetV2LoggingOptionsCommandInput,
  SetV2LoggingOptionsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: SetV2LoggingOptionsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: SetV2LoggingOptionsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<SetV2LoggingOptionsCommandInput, SetV2LoggingOptionsCommandOutput>;
  private serialize;
  private deserialize;
}
