import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  StartOnDemandAuditTaskRequest,
  StartOnDemandAuditTaskResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface StartOnDemandAuditTaskCommandInput
  extends StartOnDemandAuditTaskRequest {}
export interface StartOnDemandAuditTaskCommandOutput
  extends StartOnDemandAuditTaskResponse,
    __MetadataBearer {}
export declare class StartOnDemandAuditTaskCommand extends $Command<
  StartOnDemandAuditTaskCommandInput,
  StartOnDemandAuditTaskCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: StartOnDemandAuditTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartOnDemandAuditTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartOnDemandAuditTaskCommandInput,
    StartOnDemandAuditTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
