import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  StartThingRegistrationTaskRequest,
  StartThingRegistrationTaskResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface StartThingRegistrationTaskCommandInput
  extends StartThingRegistrationTaskRequest {}
export interface StartThingRegistrationTaskCommandOutput
  extends StartThingRegistrationTaskResponse,
    __MetadataBearer {}
export declare class StartThingRegistrationTaskCommand extends $Command<
  StartThingRegistrationTaskCommandInput,
  StartThingRegistrationTaskCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: StartThingRegistrationTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StartThingRegistrationTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StartThingRegistrationTaskCommandInput,
    StartThingRegistrationTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
