import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  StopThingRegistrationTaskRequest,
  StopThingRegistrationTaskResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface StopThingRegistrationTaskCommandInput
  extends StopThingRegistrationTaskRequest {}
export interface StopThingRegistrationTaskCommandOutput
  extends StopThingRegistrationTaskResponse,
    __MetadataBearer {}
export declare class StopThingRegistrationTaskCommand extends $Command<
  StopThingRegistrationTaskCommandInput,
  StopThingRegistrationTaskCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: StopThingRegistrationTaskCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: StopThingRegistrationTaskCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    StopThingRegistrationTaskCommandInput,
    StopThingRegistrationTaskCommandOutput
  >;
  private serialize;
  private deserialize;
}
