import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateAccountAuditConfigurationRequest,
  UpdateAccountAuditConfigurationResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateAccountAuditConfigurationCommandInput
  extends UpdateAccountAuditConfigurationRequest {}
export interface UpdateAccountAuditConfigurationCommandOutput
  extends UpdateAccountAuditConfigurationResponse,
    __MetadataBearer {}
export declare class UpdateAccountAuditConfigurationCommand extends $Command<
  UpdateAccountAuditConfigurationCommandInput,
  UpdateAccountAuditConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateAccountAuditConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateAccountAuditConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateAccountAuditConfigurationCommandInput,
    UpdateAccountAuditConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
