import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateBillingGroupRequest,
  UpdateBillingGroupResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateBillingGroupCommandInput
  extends UpdateBillingGroupRequest {}
export interface UpdateBillingGroupCommandOutput
  extends UpdateBillingGroupResponse,
    __MetadataBearer {}
export declare class UpdateBillingGroupCommand extends $Command<
  UpdateBillingGroupCommandInput,
  UpdateBillingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateBillingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateBillingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateBillingGroupCommandInput, UpdateBillingGroupCommandOutput>;
  private serialize;
  private deserialize;
}
