import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateDomainConfigurationRequest,
  UpdateDomainConfigurationResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateDomainConfigurationCommandInput
  extends UpdateDomainConfigurationRequest {}
export interface UpdateDomainConfigurationCommandOutput
  extends UpdateDomainConfigurationResponse,
    __MetadataBearer {}
export declare class UpdateDomainConfigurationCommand extends $Command<
  UpdateDomainConfigurationCommandInput,
  UpdateDomainConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateDomainConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateDomainConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateDomainConfigurationCommandInput,
    UpdateDomainConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
