import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateDynamicThingGroupRequest,
  UpdateDynamicThingGroupResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateDynamicThingGroupCommandInput
  extends UpdateDynamicThingGroupRequest {}
export interface UpdateDynamicThingGroupCommandOutput
  extends UpdateDynamicThingGroupResponse,
    __MetadataBearer {}
export declare class UpdateDynamicThingGroupCommand extends $Command<
  UpdateDynamicThingGroupCommandInput,
  UpdateDynamicThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateDynamicThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateDynamicThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateDynamicThingGroupCommandInput,
    UpdateDynamicThingGroupCommandOutput
  >;
  private serialize;
  private deserialize;
}
