import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateEventConfigurationsRequest,
  UpdateEventConfigurationsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateEventConfigurationsCommandInput
  extends UpdateEventConfigurationsRequest {}
export interface UpdateEventConfigurationsCommandOutput
  extends UpdateEventConfigurationsResponse,
    __MetadataBearer {}
export declare class UpdateEventConfigurationsCommand extends $Command<
  UpdateEventConfigurationsCommandInput,
  UpdateEventConfigurationsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateEventConfigurationsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateEventConfigurationsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateEventConfigurationsCommandInput,
    UpdateEventConfigurationsCommandOutput
  >;
  private serialize;
  private deserialize;
}
