import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateMitigationActionRequest,
  UpdateMitigationActionResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateMitigationActionCommandInput
  extends UpdateMitigationActionRequest {}
export interface UpdateMitigationActionCommandOutput
  extends UpdateMitigationActionResponse,
    __MetadataBearer {}
export declare class UpdateMitigationActionCommand extends $Command<
  UpdateMitigationActionCommandInput,
  UpdateMitigationActionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateMitigationActionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateMitigationActionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateMitigationActionCommandInput,
    UpdateMitigationActionCommandOutput
  >;
  private serialize;
  private deserialize;
}
