import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdatePackageConfigurationRequest,
  UpdatePackageConfigurationResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdatePackageConfigurationCommandInput
  extends UpdatePackageConfigurationRequest {}
export interface UpdatePackageConfigurationCommandOutput
  extends UpdatePackageConfigurationResponse,
    __MetadataBearer {}
export declare class UpdatePackageConfigurationCommand extends $Command<
  UpdatePackageConfigurationCommandInput,
  UpdatePackageConfigurationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdatePackageConfigurationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdatePackageConfigurationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdatePackageConfigurationCommandInput,
    UpdatePackageConfigurationCommandOutput
  >;
  private serialize;
  private deserialize;
}
