import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdatePackageVersionRequest,
  UpdatePackageVersionResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdatePackageVersionCommandInput
  extends UpdatePackageVersionRequest {}
export interface UpdatePackageVersionCommandOutput
  extends UpdatePackageVersionResponse,
    __MetadataBearer {}
export declare class UpdatePackageVersionCommand extends $Command<
  UpdatePackageVersionCommandInput,
  UpdatePackageVersionCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdatePackageVersionCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdatePackageVersionCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdatePackageVersionCommandInput,
    UpdatePackageVersionCommandOutput
  >;
  private serialize;
  private deserialize;
}
