import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateProvisioningTemplateRequest,
  UpdateProvisioningTemplateResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateProvisioningTemplateCommandInput
  extends UpdateProvisioningTemplateRequest {}
export interface UpdateProvisioningTemplateCommandOutput
  extends UpdateProvisioningTemplateResponse,
    __MetadataBearer {}
export declare class UpdateProvisioningTemplateCommand extends $Command<
  UpdateProvisioningTemplateCommandInput,
  UpdateProvisioningTemplateCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateProvisioningTemplateCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateProvisioningTemplateCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateProvisioningTemplateCommandInput,
    UpdateProvisioningTemplateCommandOutput
  >;
  private serialize;
  private deserialize;
}
