import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateScheduledAuditRequest,
  UpdateScheduledAuditResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateScheduledAuditCommandInput
  extends UpdateScheduledAuditRequest {}
export interface UpdateScheduledAuditCommandOutput
  extends UpdateScheduledAuditResponse,
    __MetadataBearer {}
export declare class UpdateScheduledAuditCommand extends $Command<
  UpdateScheduledAuditCommandInput,
  UpdateScheduledAuditCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateScheduledAuditCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateScheduledAuditCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateScheduledAuditCommandInput,
    UpdateScheduledAuditCommandOutput
  >;
  private serialize;
  private deserialize;
}
