import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateSecurityProfileRequest,
  UpdateSecurityProfileResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateSecurityProfileCommandInput
  extends UpdateSecurityProfileRequest {}
export interface UpdateSecurityProfileCommandOutput
  extends UpdateSecurityProfileResponse,
    __MetadataBearer {}
export declare class UpdateSecurityProfileCommand extends $Command<
  UpdateSecurityProfileCommandInput,
  UpdateSecurityProfileCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateSecurityProfileCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateSecurityProfileCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateSecurityProfileCommandInput,
    UpdateSecurityProfileCommandOutput
  >;
  private serialize;
  private deserialize;
}
