import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateThingGroupRequest,
  UpdateThingGroupResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateThingGroupCommandInput extends UpdateThingGroupRequest {}
export interface UpdateThingGroupCommandOutput
  extends UpdateThingGroupResponse,
    __MetadataBearer {}
export declare class UpdateThingGroupCommand extends $Command<
  UpdateThingGroupCommandInput,
  UpdateThingGroupCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateThingGroupCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateThingGroupCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<UpdateThingGroupCommandInput, UpdateThingGroupCommandOutput>;
  private serialize;
  private deserialize;
}
