import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  UpdateTopicRuleDestinationRequest,
  UpdateTopicRuleDestinationResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface UpdateTopicRuleDestinationCommandInput
  extends UpdateTopicRuleDestinationRequest {}
export interface UpdateTopicRuleDestinationCommandOutput
  extends UpdateTopicRuleDestinationResponse,
    __MetadataBearer {}
export declare class UpdateTopicRuleDestinationCommand extends $Command<
  UpdateTopicRuleDestinationCommandInput,
  UpdateTopicRuleDestinationCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: UpdateTopicRuleDestinationCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: UpdateTopicRuleDestinationCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    UpdateTopicRuleDestinationCommandInput,
    UpdateTopicRuleDestinationCommandOutput
  >;
  private serialize;
  private deserialize;
}
