import { EndpointParameterInstructions } from "@smithy/middleware-endpoint";
import { Command as $Command } from "@smithy/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@smithy/types";
import {
  IoTClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../IoTClient";
import {
  ValidateSecurityProfileBehaviorsRequest,
  ValidateSecurityProfileBehaviorsResponse,
} from "../models/models_2";
export { __MetadataBearer, $Command };
export interface ValidateSecurityProfileBehaviorsCommandInput
  extends ValidateSecurityProfileBehaviorsRequest {}
export interface ValidateSecurityProfileBehaviorsCommandOutput
  extends ValidateSecurityProfileBehaviorsResponse,
    __MetadataBearer {}
export declare class ValidateSecurityProfileBehaviorsCommand extends $Command<
  ValidateSecurityProfileBehaviorsCommandInput,
  ValidateSecurityProfileBehaviorsCommandOutput,
  IoTClientResolvedConfig
> {
  readonly input: ValidateSecurityProfileBehaviorsCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: ValidateSecurityProfileBehaviorsCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: IoTClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    ValidateSecurityProfileBehaviorsCommandInput,
    ValidateSecurityProfileBehaviorsCommandOutput
  >;
  private serialize;
  private deserialize;
}
